/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

pragma Singleton
import QtQuick 2.5

//black = "#181a1f",
//bg0 = "#282c34",
//bg1 = "#31353f",
//bg2 = "#393f4a",
//bg3 = "#3b3f4c",
//bg_d = "#21252b",
//bg_blue = "#73b8f1",
//bg_yellow = "#ebd09c",
//fg = "#abb2bf",
//purple = "#c678dd",
//green = "#98c379",
//orange = "#d19a66",
//blue = "#61afef",
//yellow = "#e5c07b",
//cyan = "#56b6c2",
//red = "#e86671",
//grey = "#5c6370",
//light_grey = "#848b98",
//dark_cyan = "#2b6f77",
//dark_red = "#993939",
//dark_yellow = "#93691d",
//dark_purple = "#8a3fa0",
//diff_add = "#31392b",
//diff_delete = "#382b2c",
//diff_change = "#1c3448",
//diff_text = "#2c5372",

QtObject {
    property string background: "#282c34"
	property string pane: "#21252b"
	property string text: "#abb2bf"
	property string textPlaceholder: "#5c6370"
	property string accent: "#2b6f77"
	property string fieldBackground: "#393f4a"
	property string buttonIcon: "#2b6f77"
	property string buttonBackground: "#31353f"
	property string buttonHovered:  "#3b3f4c"
	property string filterHovered: "#5c6370"
	property string filterSelected: "#3b3f4c"
	property string modalBorder: "#8a3fa0"
	property string calendarLines: "#3b3f4c"
	property string calendarCurrentTime: "#e86671"
	property string calendarEvent: "#3b3f4c"
	property string green: "#98c379"
	property string red: "#e86671"
}
